Visualizar um produto
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/catalog/products/{id} \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'import requests
url = "https://api.dooki.com.br/v2/{alias}/catalog/products/{id}"
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};
fetch('https://api.dooki.com.br/v2/{alias}/catalog/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 12345678,
"merchant_id": 1,
"affiliation_id": 123,
"erp_id": 123,
"seller_id": 123,
"active": true,
"searchable": true,
"is_digital": true,
"rating": 4,
"priority": 123,
"ncm": "<string>",
"name": "<string>",
"slug": "nome-do-produto",
"warranty": 123,
"custom_shipping": true,
"shipping_price": 39.9,
"gift_value": 123,
"simple": true,
"days_availability_formated": "<string>",
"variations": [
"<string>"
],
"combinations": [
"<string>"
],
"total_in_stock": 123,
"relevance": 123,
"has_variations": true,
"sku": "SKU-TEST-API",
"url": "<string>",
"redirect_url_card": "<string>",
"redirect_url_billet": "<string>",
"total_orders": 123,
"image_reference_sku_id": 123,
"purchase_url": "<string>",
"preview_url": "<string>",
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}
}
]
}Produtos
Visualizar um produto
Retorna informações do produto específico
GET
/
{alias}
/
catalog
/
products
/
{id}
Visualizar um produto
Query Parameters
Incluir relacionamentos adicionais
Available options:
dates, brand, affiliation, extras, texts, seo, filters, filtersSearch, flags, variations, categories, prices, images, skus, firstImage, searchAttributes, reviews, combos, collections, shortCollections, groups, similarsIds, categoriesIds, seller, services, spreadsheet, metadata Response
Detalhes do Produto
Show child attributes
Show child attributes
Was this page helpful?
⌘I